Subject: Re: [PATCH 1/4] git-gui i18n: Add more words to glossary.

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 10 Oct 2007 02:03:28 -0400

Christian Stimming <[email-masked]> wrote:
> All pushed to git-gui-i18n.git mob branch now.  I hope you can easily merge 
> them over.

I basically had to cherry-pick your 4 patches out of the mob branch
from the i18n fork.  The issue is the mob branch is based on an old
lineage that Dscho hand picked patches out of and squashed when he
created the initial i18n series for me to merge.

The i18n fork as it currently stands is pretty far away from my
own tree; it probably should be reset to my tree in the near future.
 
> Maybe po/git-gui.pot should be updated by you on git-gui.git and (by Dscho?) 
> on git-gui-i18n.git as well. 

Yea, I'll run it before I push out my newest master tonight.
 
> http://wiki.gnucash.org/wiki/index.php?title=String_Freeze&oldid=2022 is an 
> example on how the gnucash project tried to communicate to its translators 
> how the special "string freeze" period (i.e. a few weeks before the release) 
> will be handled in order to get a finalized translation for the actual 
> release. I don't know how formal you want to put this, but at least *some* 
> period of string freeze would be very good. As for the German translation, 
> I'd prefer any period length greater than 10 days in order to verify a 
> complete translation...

I agree on the need for the string freeze period and will plan
to include a 14+ day window near the end of the 0.9.0 release to
update the translations.  I want to get the major functionality
written and then we can work on debugging/testing/translation.

Schedule wise I'm probably looking at middle of next month or the
month after (so Nov 15th-ish or Dec 15th-ish) for the 0.9.0 string
freeze period starting.  That means there is a good chance we won't
be seeing 0.9.0 final in 2007; probably it will be in early 2008.

-- 
Shawn.